"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var Invoke_1 = require("../model/Invoke");
var InvokeCommand = /** @class */ (function () {
    function InvokeCommand(input) {
        this.input = input;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    InvokeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: Invoke_1.Invoke
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return InvokeCommand;
}());
exports.InvokeCommand = InvokeCommand;
//# sourceMappingURL=InvokeCommand.js.map