"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteFunctionInput_1 = require("./DeleteFunctionInput");
var DeleteFunctionOutput_1 = require("./DeleteFunctionOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var ResourceConflictException_1 = require("./ResourceConflictException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.DeleteFunction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'DeleteFunction',
    http: {
        method: 'DELETE',
        requestUri: '/2015-03-31/functions/{FunctionName}',
    },
    input: {
        shape: DeleteFunctionInput_1.DeleteFunctionInput,
    },
    output: {
        shape: DeleteFunctionOutput_1.DeleteFunctionOutput,
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException,
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException,
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException,
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException,
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException,
        },
    ],
};
//# sourceMappingURL=DeleteFunction.js.map