"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListVersionsByFunctionInput_1 = require("./ListVersionsByFunctionInput");
var ListVersionsByFunctionOutput_1 = require("./ListVersionsByFunctionOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.ListVersionsByFunction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'ListVersionsByFunction',
    http: {
        method: 'GET',
        requestUri: '/2015-03-31/functions/{FunctionName}/versions',
    },
    input: {
        shape: ListVersionsByFunctionInput_1.ListVersionsByFunctionInput,
    },
    output: {
        shape: ListVersionsByFunctionOutput_1.ListVersionsByFunctionOutput,
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException,
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException,
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException,
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException,
        },
    ],
};
//# sourceMappingURL=ListVersionsByFunction.js.map